Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

EBT Credit SNAP Account


This use case credits a PIN debit Electronic Benefits Transfer (EBT) purchase to a SNAP account. Set processingInformation.electronicBenefitsTransfer.category to FOOD and processingInformation.purchaseOptions.isElectronicBenefitsTransfer to true.

Endpoints

POST /pts/v2/credits/

POST /pts/v2/credits/

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "K",    "purchaseOptions": {      "isElectronicBenefitsTransfer": true    },    "electronicBenefitsTransfer": {      "category": "FOOD"    }  },  "paymentInformation": {    "card": {      "type": "001"    },    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "204.00",      "currency": "USD"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "merchantInformation": {    "categoryCode": "5411"  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": 4,    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3312101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?",    "pinBlockEncodingFormat": 1,    "encryptedPin": "52F20658C04DB351",    "encryptedKeySerialNumber": "FFFF1B1D140000000005"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/6898900347906058304951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/6898900347906058304951"    }  },  "clientReferenceInformation": {    "code": "Merchandise Return / Credit Voucher from SNAP"  },  "creditAmountDetails": {    "currency": "usd",    "creditAmount": "204.00"  },  "id": "6898900347906058304951",  "orderInformation": {    "amountDetails": {      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6898900347906058304951"  },  "processorInformation": {    "systemTraceAuditNumber": "188586",    "routing": {      "network": "0029"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456188586",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6898900347906058304951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-20T21:53:55Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
merchantInformation.categoryCode—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.type—
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
processingInformation.electronicBenefitsTransfer.categorySet the value to FOOD.
processingInformation.purchaseOptions.isElectronicBenefitsTransferSet the value to true.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.